Subject: bug#47313: 27.1; highlight functions should accept colors too

From: scame <[email-masked]>
Date: Mon, 22 Mar 2021 18:39:11 +0000

>
> We could try that, but I fear that the result of showing many faces in
> the same buffer one besides the other will look ugly, while displaying
> them one face per line would make a very long buffer, scrolling
> through which could be impractical.

It can't be uglier than the completions of read-color which is pretty bad.
It's a cacophony of colors and some of them are hard to read:

https://i.imgur.com/NtIDihs.png

IMO the list-colors-display UI is much better even if it's longer (and if
it's a completion list then it's easy to narrow it down):

https://www.valenciatech.com/wp-content/uploads/2019/08/gnu-emacs-list-colors-display.png